function OnWarpEnter()
	PlaySound("Sounds/SFX/A_TempleU.ogg",-1)	
	if not FIRST_ENTER_TEMPLEU then
		PlayMusic("Sounds/Musiques/M_Tension1.ogg")
		DjerBlocking_piU_012 = true
		DjerStandIn_piU_012 = true
		PASER_UNCONSCIOUS = true
		TEMPLE_U = true
		FIRST_ENTER_TEMPLEU = true
	end
	SetMarker("Pi Ramses\\Temple U\\Warp_0002.wp",0,0)
	if  MAYA_BETRAYED then
		StartAnimation("Q2U1",-1) --Check condition animation part
	end

	if TUYA_IN_NAOS then
		StartAnimation("TOU1",-1) --check condition
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "CAT2" then

------------------------------------------------------------
	elseif objectName == "CMT1" then

------------------------------------------------------------
	elseif objectName == "LBT1" then

------------------------------------------------------------
	elseif objectName == "LJT1" then

------------------------------------------------------------
	elseif objectName == "LMT1" then

------------------------------------------------------------
	elseif objectName == "O5T1" then
	end
        if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0002.wp" then
		ChangeWarp(objectName)
        end
end
